local LCA = LibCombatAlerts
local CA1 = CombatAlerts
local CA2 = CombatAlerts2
local Module = CA_Module:Subclass()

Module.ID = "CA_M_U40"
Module.NAME = CA2.FriendlyModuleName(40, 1436)
Module.AUTHOR = "@code65536"
Module.ZONES = {
	1436, -- Infinite Archive
}

Module.TIMER_ALERTS = {
	[192205] = { -2, 0 }, -- Tempered Blow
}

local Data = {
	mirror = {
		shattered = 192039,
		name = 192013,
		timing = 2000,
	},
	sky = {
		id = 208132,
		damage = 208131,
		offset = -250,
	},
	thresh = 204225,
}

function Module:ProcessCombatEvents( result, isError, abilityName, abilityGraphic, abilityActionSlotType, sourceName, sourceType, targetName, targetType, hitValue, powerType, damageType, log, sourceUnitId, targetUnitId, abilityId, overflow )
	if (result == ACTION_RESULT_EFFECT_FADED and abilityId == Data.mirror.shattered) then
		CA1.AlertCast(Data.mirror.name, nil, Data.mirror.timing, { 600, 0, false })
	elseif (result == ACTION_RESULT_EFFECT_GAINED_DURATION and targetType == COMBAT_UNIT_TYPE_PLAYER and abilityId == Data.sky.id) then
		CA1.AlertCast(Data.sky.damage, nil, hitValue + Data.sky.offset, { -2, 0 })
	elseif (result == ACTION_RESULT_BEGIN and abilityId == Data.thresh) then
		CA1.Alert(nil, LCA.GetAbilityName(abilityId), 0x9966FFFF, SOUNDS.CHAMPION_POINTS_COMMITTED, hitValue)
	end
end

CA2.RegisterModule(Module)
